#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <h2><% eval_gettext "General information" %></h2>
        <p>
            <% 
                echo -n "<b>"
                eval_gettext "dSS11 image version"
                echo -n "</b>: "
                if [ -f /etc/dSS11-image-version ]; then
                    cat /etc/dSS11-image-version
                else
                    cat /etc/version
                fi
            %>
            <br/>
             <% 
                echo -n "<b>"
                eval_gettext "dSS11 web setup version"
                echo -n "</b>: "
                opkg list_installed dss11-websetup
            %>
            <br/>
             <%
                echo -n "<b>"
                eval_gettext "dSS web module version"
                echo -n "</b>: "
                opkg list_installed dss-web-module
            %>
            <br/>          
            <%
                echo -n "<b>"
                eval_gettext "Installed dSS package" 
                echo -n "</b>: "
                opkg list_installed dss
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "Uptime"
                echo -n "</b>: "
                uptime 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "Last login"
                echo -n "</b>: "
                last | head -n 1 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "IP address"
                echo -n "</b>: "
                ifconfig eth0 | grep 'inet addr:'| cut -d: -f2 | awk '{ print $1}' | tail -n 1 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "MAC"
                echo -n "</b>: "
                ifconfig eth0 | grep 'HWaddr' | awk '{ print $5}'
            %>
            <br/>
            <%
                if [[ "true" == "false" ]]; then
                    echo -n "<b>"
                    eval_gettext "SD-card status"
                    echo -n "</b>: "
                    STATUS_TEXT="unknown"
                    if [[ -f /var/lock/sdcard-failure ]]; then
                        STATUS_TEXT="Error, SD-Card not mounted"
                    else
                        if [[ -f /tmp/sdcard-fsck.status ]]; then
                            STATUS=$(cat /tmp/sdcard-fsck.status 2>/dev/null)
                            if [[ -n "$STATUS" ]]; then
                                if [[ $STATUS -eq 0 ]]; then
                                    STATUS_TEXT="OK"
                                elif [[ $STATUS -eq 1 ]] || [[ $STATUS -eq 2 ]]; then
                                    STATUS_TEXT="OK, file system errors corrected"
                                elif [[ $STATUS -eq 4 ]]; then
                                    STATUS_TEXT="File system errors left uncorrected"
                                fi
                            fi
                        fi
                    fi
                    eval_gettext "$STATUS_TEXT"
                fi
            %>
        </p>
    </body>
</html>
